org.cybergarage.upnp.event

## Class Subscription

- java.lang.Object
- - org.cybergarage.upnp.event.Subscription

-     public class Subscription
      extends Object

  Utility class for UPnP event subscription management.

  This class provides constants and utility methods for managing UPnP event subscriptions, including timeout handling, subscription methods, and UUID generation. It serves as a helper class for the GENA (General Event Notification Architecture) protocol used in UPnP.

  Key features:

  - Subscription timeout management and conversion
  - SUBSCRIBE and UNSUBSCRIBE method constants
  - UUID generation and management
  - XML namespace definitions for event messages
  - Infinite timeout support

  This class provides the foundational constants and utility methods used throughout the UPnP event notification system for managing subscription lifecycles.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INFINITE_STRING`
    `static int` | `INFINITE_VALUE`
    `static String` | `SUBSCRIBE_METHOD`
    `static String` | `TIMEOUT_HEADER`
    `static String` | `UNSUBSCRIBE_METHOD`
    `static String` | `UUID`
    `static String` | `XMLNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subscription()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `createSID()`
    `static String` | `getSID(String headerValue)`
    `static long` | `getTimeout(String headerValue)`
    `static String` | `toSIDHeaderString(String id)`
    `static String` | `toTimeoutHeaderString(long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INFINITE_STRING

          public static final String INFINITE_STRING

      See Also:
        Constant Field Values

    - #### INFINITE_VALUE

          public static final int INFINITE_VALUE

      See Also:
        Constant Field Values

    - #### SUBSCRIBE_METHOD

          public static final String SUBSCRIBE_METHOD

      See Also:
        Constant Field Values

    - #### TIMEOUT_HEADER

          public static final String TIMEOUT_HEADER

      See Also:
        Constant Field Values

    - #### UNSUBSCRIBE_METHOD

          public static final String UNSUBSCRIBE_METHOD

      See Also:
        Constant Field Values

    - #### UUID

          public static final String UUID

      See Also:
        Constant Field Values

    - #### XMLNS

          public static final String XMLNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Subscription

          public Subscription()

  - ### Method Detail

    - #### createSID

          public static final String createSID()

    - #### getSID

          public static final String getSID(String headerValue)

    - #### getTimeout

          public static final long getTimeout(String headerValue)

    - #### toSIDHeaderString

          public static final String toSIDHeaderString(String id)

    - #### toTimeoutHeaderString

          public static final String toTimeoutHeaderString(long time)